org.wso2.carbon.dataservices.sql.driver.parser

## Class ParserUtil

- java.lang.Object
- - org.wso2.carbon.dataservices.sql.driver.parser.ParserUtil

-     public class ParserUtil
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ParserUtil()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static String` | `extractFirstKeyword(String sql)`
    `static ParamInfo[]` | `extractParameters(String sql)`
    `static List<String>` | `getAggregateFunctionList()`
    `static List<String>` | `getConditionalOperatorList()`
    `static List<String>` | `getDelimiterList()`
    `static List<String>` | `getDMLTypeList()`
    `static List<String>` | `getKeyWordList()`
    `static List<String>` | `getOperatorList()`
    `static ParamInfo` | `getParameter(int orinal, ParamInfo[] parameters)`
    `static ParamInfo` | `getParameter(String column, ParamInfo[] parameters)`
    `static List<String>` | `getStringFunctionList()`
    `static Queue<String>` | `getTokens(String sql)`
    `static boolean` | `isAggregateFunction(String token)`
    `static boolean` | `isControlCharacter(String token)`
    `static boolean` | `isDelimiter(String token)`
    `static boolean` | `isDMLStatement(String type)`
    `static boolean` | `isKeyword(String token)`
    `static boolean` | `isOperator(String token)`
    `static boolean` | `isStringFunction(String token)`
    `static boolean` | `isStringLiteral(String token)`
    `static Map<Integer,DataRow>` | `mergeRows(String operation, Map<Integer,DataRow> rows1, Map<Integer,DataRow> rows2)`
    `static Map<Integer,DataRow>` | `processANDCondition(Map<Integer,DataRow> rows1, Map<Integer,DataRow> rows2)`
    `static Map<Integer,DataRow>` | `processORCondition(Map<Integer,DataRow> rows1, Map<Integer,DataRow> rows2)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ParserUtil

          public ParserUtil()

  - ### Method Detail

    - #### getConditionalOperatorList

          public static List<String> getConditionalOperatorList()

    - #### getKeyWordList

          public static List<String> getKeyWordList()

    - #### getDMLTypeList

          public static List<String> getDMLTypeList()

    - #### getDelimiterList

          public static List<String> getDelimiterList()

    - #### getOperatorList

          public static List<String> getOperatorList()

    - #### getAggregateFunctionList

          public static List<String> getAggregateFunctionList()

    - #### getStringFunctionList

          public static List<String> getStringFunctionList()

    - #### isDelimiter

          public static boolean isDelimiter(String token)

    - #### isOperator

          public static boolean isOperator(String token)

    - #### isAggregateFunction

          public static boolean isAggregateFunction(String token)

    - #### isStringFunction

          public static boolean isStringFunction(String token)

    - #### isKeyword

          public static boolean isKeyword(String token)

    - #### isStringLiteral

          public static boolean isStringLiteral(String token)

    - #### getTokens

          public static Queue<String> getTokens(String sql)
                                         throws SQLException

      Throws:
        `SQLException`

    - #### isControlCharacter

          public static boolean isControlCharacter(String token)

    - #### isDMLStatement

          public static boolean isDMLStatement(String type)

    - #### extractParameters

          public static ParamInfo[] extractParameters(String sql)

    - #### extractFirstKeyword

          public static String extractFirstKeyword(String sql)

    - #### getParameter

          public static ParamInfo getParameter(int orinal,
                                               ParamInfo[] parameters)

    - #### getParameter

          public static ParamInfo getParameter(String column,
                                               ParamInfo[] parameters)

    - #### mergeRows

          public static Map<Integer,DataRow> mergeRows(String operation,
                                                       Map<Integer,DataRow> rows1,
                                                       Map<Integer,DataRow> rows2)

    - #### processORCondition

          public static Map<Integer,DataRow> processORCondition(Map<Integer,DataRow> rows1,
                                                                Map<Integer,DataRow> rows2)

    - #### processANDCondition

          public static Map<Integer,DataRow> processANDCondition(Map<Integer,DataRow> rows1,
                                                                 Map<Integer,DataRow> rows2)

Copyright © 2020 WSO2. All rights reserved.